QGIS Application - Bug report #7823

Vector\\Data management\\Merge shapefiles is not working correctly

2013-05-14 01:32 AM - Maxim Dubinin

Status: Closed

Priority: Severe/Regression
Assignee:

Category: Vectors

Affected QGIS version:master

Operating System: windows
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 16708

Description

Testdata: http://gis-lab.info/forum/download/file.php?id=6542

Merging goes without errors, but attributes from the second shapefile are not merged to the first, only geometries are merged.

QGIS 1.9 1fce8a3 on Win7

Related issues:

Related to QGIS Application - Bug report # 7708: Union produces the wrong out... Closed 2013-04-25
Related to QGIS Application - Bug report # 7707: "merge shapefiles" produces ... Closed 2013-04-25
Related to QGIS Application - Bug report # 7570: "Merge shapefiles to one" no... Closed 2013-04-11

Associated revisions

Revision 7d75fcc3 - 2013-07-03 08:20 AM - Minoru Akagi

fTools: fix MergeShapes and SpatialJoin
fix #7823
fix #7952
fix #8206

History

#1 - 2013-05-14 04:05 AM - vinayan Parameswaran

duplicate of #77077?

#2 - 2013-05-14 12:27 PM - Giovanni Manghi
- Status changed from Open to Feedback

used to work ok for you on 1.8? If yes please tag this as blocker.

#3 - 2013-05-17 06:39 AM - Maxim Dubinin

#7707 seems to be about geometries, my question here is about incorrect transfer of attributes.

UPD link for the tests, first one is wrong: http://gis-lab.info/forum/download/file.php?id=6557
http://gis-lab.info/forum/download/file.php?id=6542
http://gis-lab.info/forum/download/file.php?id=6557

1.8 works ok with the exception of not handling encoding correctly.

#4 - 2013-05-17 06:40 AM - Maxim Dubinin

- Priority changed from Normal to Severe/Regression

#5 - 2013-06-02 02:06 AM - Giovanni Manghi
- Status changed from Feedback to Open

#6 - 2013-07-02 11:29 PM - Minoru Akagi
- Status changed from Open to Closed

Fixed in changeset commit:"7d75fcc38778cf0e1bb005124e69b4e30dd49821".
